Cinder Error IncompatibleObjectVersion

asked 2018-10-15 08:51:23 -0500

marcussantos gravatar image

I set up all the services for cinder API. It's ready to use as shown below:

root@openstack-controller-eur:/var/log/cinder# openstack volume service list +------------------+----------------------------+------+---------+-------+----------------------------+ | Binary | Host | Zone | Status | State | Updated At | +------------------+----------------------------+------+---------+-------+----------------------------+ | cinder-scheduler | openstack-controller-eur | nova | enabled | up | 2018-10-15T13:46:08.000000 | | cinder-volume | openstack-compute1-eur@lvm | nova | enabled | up | 2018-10-15T13:46:14.000000 | +------------------+----------------------------+------+---------+-------+----------------------------+

However, when I try to create a volume, it's keeping with state "creating": root@openstack-controller-eur:/var/log/cinder# openstack volume list +--------------------------------------+--------------+----------+------+-------------+ | ID | Display Name | Status | Size | Attached to | +--------------------------------------+--------------+----------+------+-------------+ | 98b6c721-513d-4a54-8430-d55a742d346b | myGold | creating | 1 | | +--------------------------------------+--------------+----------+------+-------------+

Besides that, I can see the following error on /var/log/cinder/cinder-volume.log on node:

2018-10-15 13:28:48.683 22156 ERROR oslo_messaging.rpc.dispatcher IncompatibleObjectVersion: Version 1.5 of Volume is not supported

Anyone knows how to solve this issue?

Thanks in advance!

edit retag flag offensive close merge delete